AsterNet Class Library (Sandcastle documentation)

| PeerStatusEvent Cause Property

Returns the cause of a rejection or unregistration.
For IAX peers this is set only if the status equals "Rejected".
For SIP peers this is set if the status equals "Unregistered" and the peer was unregistered due to an expiration. In that case the cause is set to "Expired".
Sets the cause of the rejection or unregistration.

Namespace: AsterNET.Manager.Event
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public string Cause { get; set; }

    Public Property Cause As String
    	Get
    	Set

    public:
    property String^ Cause {
    	String^ get ();
    	void set (String^ value);
    }

    member Cause : string with get, set

#### Property Value

Type: String
See Also

#### Reference

PeerStatusEvent Class
AsterNET.Manager.Event Namespace